Uses of Enum Class
org.mockserver.model.Format
Packages that use Format
-
Uses of Format in org.mockserver.client
Methods in org.mockserver.client with parameters of type FormatModifier and TypeMethodDescriptionMockServerClient.retrieveActiveExpectations(RequestDefinition requestDefinition, Format format) Retrieve the active expectations match the httpRequest parameter, use null for the parameter to retrieve all expectationsMockServerClient.retrieveActiveExpectationsById(String expectationId, Format format) Retrieve the active expectation with the given id in the requested formatMockServerClient.retrieveRecordedExpectations(RequestDefinition requestDefinition, Format format) Retrieve the request-response combinations that have been recorded as a list of expectations, only those that match the httpRequest parameter are returned, use null to retrieve all requestsMockServerClient.retrieveRecordedExpectationsById(String expectationId, Format format) Retrieve, as a list of expectations, the request-response combinations recorded for the request of the expectation with the given idMockServerClient.retrieveRecordedRequests(RequestDefinition requestDefinition, Format format) Retrieve the recorded requests that match the httpRequest parameter, use null for the parameter to retrieve all requestsMockServerClient.retrieveRecordedRequestsAndResponses(RequestDefinition requestDefinition, Format format) Retrieve the recorded requests that match the httpRequest parameter, use null for the parameter to retrieve all requestsMockServerClient.retrieveRecordedRequestsAndResponsesById(String expectationId, Format format) Retrieve the recorded requests and responses that match the request of the expectation with the given idMockServerClient.retrieveRecordedRequestsById(String expectationId, Format format) Retrieve the recorded requests that match the request of the expectation with the given id -
Uses of Format in org.mockserver.model
Methods in org.mockserver.model that return Format